Page MenuHomePhabricator

predefined names are not linkable
Closed, ResolvedPublic

Description

Steps to reproduce:

  • Open a page with WikiEditor
  • Click on button link

-> the "Insert link" dialog opens

  • Enter in the field "Target page or URL:" the text "constructor"

-> the field "Text to display:" follows the text up to "constructo"
-> In the JavaScript console occurs the error:
Error: Syntax error, unrecognized expression: #wikieditor-toolbar-link-int-target-status-function Object() { [native code] }

Patch: https://gerrit.wikimedia.org/r/130566


Version: master
Severity: minor

Details

Reference
bz64896

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:17 AM
bzimport added projects: WikiEditor, JavaScript.
bzimport set Reference to bz64896.
Fomafix created this task.May 5 2014, 1:50 PM

Change 130566 had a related patch set uploaded by Gerrit Patch Uploader:
Prevent conflicts with predefined names

https://gerrit.wikimedia.org/r/130566

Change 130566 merged by jenkins-bot:
Prevent conflicts with predefined names

https://gerrit.wikimedia.org/r/130566

GOIII moved this task from Backlog to Closed on the WikiEditor board.Apr 3 2016, 9:12 AM